'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Copyright (c) 2018, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */
exports.INVALID_HOME_MSG = "Ballerina Home is invalid, please check `ballerina.home` in settings";
exports.INSTALL_BALLERINA = "Unable to autoditect ballerina in your environment. Please download and install Ballerina or provide ballerina home path in settings.";
exports.DOWNLOAD_BALLERINA = "https://ballerina.io/downloads/";
exports.CONFIG_CHANGED = "Ballerina plugin configuration changed. Please restart vscode for changes to take effect.";
exports.OLD_BALLERINA_VERSION = "Your Ballerina version does not match the Ballerina vscode plugin version. Some features may not work properly. Please download the latest Ballerina distribution.";
exports.OLD_PLUGIN_VERSION = "Your Ballerina vscode plugin version does not match your Ballerina version. Some features may not work properly. Please update the Ballerina vscode plugin.";
exports.MISSING_SERVER_CAPABILITY = "Your version of Ballerina platform distribution does not support this feature. Please update to the latest Ballerina platform";
exports.INVALID_FILE = "The current file is not a valid ballerina file. Please open a ballerina file and try again.";
exports.UNKNOWN_ERROR = "Unknown Error : Failed to start Ballerina Plugin.";
exports.API_DESIGNER_NO_SERVICE = "There are no services available in current file. Please add a service and try again.";
//# sourceMappingURL=messages.js.map