"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @description BreakPoint class
 * @class BreakPoint
 */
class BreakPoint {
    /**
     * @description Creates an instance of BreakPoint.
     * @param {BreakPointDefinition} args - BreakPoint properties
     *
     * @memberof BreakPoint
     */
    constructor(args) {
        this.fileName = args.fileName || '';
        this.lineNumber = args.lineNumber || 0;
        this.packagePath = args.packagePath || '.';
    }
}
exports.BreakPoint = BreakPoint;
//# sourceMappingURL=breakpoint.js.map